import { CryptoHasher, sql } from "bun";
import { retrieve_post, setup_func } from "@/db";
import { faker } from '@faker-js/faker';

for (let i = 0; i < 100; i++) {

  let text = faker.string.alpha(20);
  let hash = new CryptoHasher("sha256")
  hash.update(text)
  hash.update(Date.now().toString())
  let dg = hash.digest("hex")
  console.log(dg)
  const _ = await sql`INSERT INTO niming.posts (hash, post,post_time) VALUES (${dg},${text}, now())`
}

